<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Ics;

class IcsAuswahlController extends \Kufer\Web\KuferTools\Basis\Ics\IcsAuswahlController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new IcsAuswahlUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $knrString = \GetOperations::getVarValue('kursnummern');
    $requestObj->kursnummern = explode(':', $knrString);

    return $requestObj;
  }
}